import { Server } from '../src/Server'
//@ts-ignore
import {Client} from '../src/Client'

new Server(20000, [{
    name: "HelloWorldRPCGroup",
    exportPublicRPCs: () => [],
    exportRPCs: () => [{
        type: 'call',
        name: 'echo',
        func: async (s:string) => s,
    }],
}])

const caller = new Client(20000, 'localhost')
caller.connect().then(_ => {
    caller.info().then(console.log)
    caller["HelloWorldRPCGroup"].echo("x").then(console.log)
})
